Supported Mobile Devices

We currently support any iOS device that can run iOS 8 or newer.

We currently support any Android device that can run 4.1 (Jelly Bean) or newer.

We currently support any Kindle device that can run Fire OS 5.0 or newer.

Related